package at.tugraz.iaik.p2p.kademlia.message;

import at.tugraz.iaik.p2p.kademlia.node.Node;

import java.io.DataInputStream;
import java.io.IOException;

/**
 * Created by Bernd Prünster <bernd.pruenster@iaik.tugraz.at>
 */
public class PingMessage extends Message {
    public static final byte CODE = 1;

    public PingMessage(Node origin, Node target, int commID) {
        super(origin, target, MsgCode.PING, commID);
    }

    public PingMessage(final DataInputStream in) throws IOException {
        super(MsgCode.PING, in);
    }
}
