package at.tugraz.iaik.p2p.kademlia.message;

import java.io.IOException;

/**
 * Default receiver if none other is called
 *
 * @author Joshua Kissoon
 * @created 20140202
 */
public class SimpleReceiver implements Receiver {

    @Override
    public void receive(final Message incoming, final int conversationId) {
        System.err.println("Received message: " + incoming);
    }

    @Override
    public void timeout(final int conversationId) throws IOException {
        System.err.println("SimpleReceiver message timeout.");
    }
}
