package at.tugraz.iaik.p2p.kademlia.message;

import at.tugraz.iaik.p2p.kademlia.node.Node;

import java.io.DataInputStream;
import java.io.IOException;

/**
 * Created by Bernd Prünster <bernd.pruenster@iaik.tugraz.at>
 */
public class PongMessage extends Message {
    public static final byte CODE = 2;

    public PongMessage(Node origin, Node target, int commID) {
        super(origin, target, MsgCode.PONG, commID);
    }

    public PongMessage(final DataInputStream in) throws IOException {
        super(MsgCode.PONG, in);
    }
}
