package at.tugraz.iaik.p2p.kademlia.simulations;


import at.tugraz.iaik.p2p.commons.CommonCrypto;
import at.tugraz.iaik.p2p.commons.ECKeyPair;

import java.security.interfaces.ECPublicKey;
import java.util.Arrays;

/**
 * Created by Bernd Prünster <bernd.pruenster@iaik.tugraz.at>
 */
public class Foo {
    public static void main(final String[] args) throws Exception {
        final ECKeyPair keyPair = CommonCrypto.genKP();

        final byte[] encode = CommonCrypto.encode(keyPair.getPublic());

        final ECPublicKey decode = CommonCrypto.decode(encode);
        System.out.println(keyPair.getPublic());
        System.out.println(Arrays.toString(encode));
        System.out.println(decode);


    }
}
